#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>

#include <iostream>
using namespace std;
#include <QTimer>

#include <inttypes.h>
#include <qwt.h>
#include <attitude_indicator.h>

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT
    
public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();
    
private slots:
    void on_verticalSlider_sliderMoved(int position);

    void on_horizontalSlider_sliderMoved(int position);

private:
    Ui::Widget *ui;
    QTimer *timer;    


    AttitudeIndicator *att;

 };

#endif // WIDGET_H
